Bug 1043960 (CVE-2017-5470)

Summary: VUL-0: MozillaFirefox: 54/52.2 security release
Product: [Novell Products] SUSE Security Incidents Reporter: Petr Cerny <pcerny>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Critical    
Priority: P3 - Medium CC: cgrobertson, jsegitz, meissner, pcerny, security-team, vpereira, wolfgang
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: All   
Whiteboard: CVSSv2:NVD:CVE-2017-5470:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-5471:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-5472:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7749:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7750:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7751:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7752:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7754:5.0:(AV:N/AC:L/Au:N/C:P/I:N/A:N) CVSSv2:NVD:CVE-2017-7755:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7756:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7757:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7758:6.4:(AV:N/AC:L/Au:N/C:P/I:N/A:P) CVSSv2:NVD:CVE-2017-7759:5.0:(AV:N/AC:L/Au:N/C:P/I:N/A:N) CVSSv2:NVD:CVE-2017-7760:4.6:(AV:L/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7761:3.6:(AV:L/AC:L/Au:N/C:N/I:P/A:P) CVSSv2:NVD:CVE-2017-7762:5.0:(AV:N/AC:L/Au:N/C:N/I:P/A:N) CVSSv2:NVD:CVE-2017-7763:5.0:(AV:N/AC:L/Au:N/C:N/I:P/A:N) CVSSv2:NVD:CVE-2017-7764:5.0:(AV:N/AC:L/Au:N/C:N/I:P/A:N) CVSSv2:NVD:CVE-2017-7765:5.0:(AV:N/AC:L/Au:N/C:N/I:P/A:N) CVSSv2:NVD:CVE-2017-7766:4.6:(AV:L/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7767:2.1:(AV:L/AC:L/Au:N/C:N/I:P/A:N) CVSSv2:NVD:CVE-2017-7768:2.1:(AV:L/AC:L/Au:N/C:P/I:N/A:N) CVSSv2:NVD:CVE-2017-7770:4.3:(AV:N/AC:M/Au:N/C:N/I:P/A:N) CVSSv2:NVD:CVE-2017-7771:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:NVD:CVE-2017-7772:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7773:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7774:6.4:(AV:N/AC:L/Au:N/C:P/I:N/A:P) CVSSv2:NVD:CVE-2017-7776:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:NVD:CVE-2017-7777:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2017-7778:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:RedHat:CVE-2017-7749:5.1:(AV:N/AC:H/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-5470:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-5472:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7749:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7750:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7751:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7752:5.1:(AV:N/AC:H/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7754:4.3:(AV:N/AC:M/Au:N/C:P/I:N/A:N) CVSSv2:SUSE:CVE-2017-7756:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7757:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7758:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:SUSE:CVE-2017-7764:4.0:(AV:N/AC:H/Au:N/C:P/I:N/A:P) CVSSv2:SUSE:CVE-2017-7771:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:SUSE:CVE-2017-7772:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7773:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:SUSE:CVE-2017-7774:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:SUSE:CVE-2017-7775:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv2:SUSE:CVE-2017-7776:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:SUSE:CVE-2017-7777:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv2:SUSE:CVE-2017-7778:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv3:NVD:CVE-2017-5470:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-5471:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-5472:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7749:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7750:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7751:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7752:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7754:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N) CVSSv3:NVD:CVE-2017-7755:7.8:(AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7756:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7757:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7758:9.1:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H) CVSSv3:NVD:CVE-2017-7759:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N) CVSSv3:NVD:CVE-2017-7760:7.8:(AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7761:5.5:(AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N) CVSSv3:NVD:CVE-2017-7762:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N) CVSSv3:NVD:CVE-2017-7763:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N) CVSSv3:NVD:CVE-2017-7764:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N) CVSSv3:NVD:CVE-2017-7765:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N) CVSSv3:NVD:CVE-2017-7766:7.8:(AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7767:5.5:(AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N) CVSSv3:NVD:CVE-2017-7768:5.5:(AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N) CVSSv3:NVD:CVE-2017-7770:5.9:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N) CVSSv3:NVD:CVE-2017-7771:8.1:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H) CVSSv3:NVD:CVE-2017-7772:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7773:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7774:9.1:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H) CVSSv3:NVD:CVE-2017-7776:8.1:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H) CVSSv3:NVD:CVE-2017-7777:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:NVD:CVE-2017-7778:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:RedHat:CVE-2017-5470:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-5472:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7749:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7750:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7751:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7752:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7754:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N) CVSSv3:RedHat:CVE-2017-7756:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7757:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7758:6.1:(AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N) CVSSv3:RedHat:CVE-2017-7762:6.1:(AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N) CVSSv3:RedHat:CVE-2017-7764:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N) CVSSv3:RedHat:CVE-2017-7771:4.8:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:RedHat:CVE-2017-7771:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7772:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7773:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7774:4.8:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:RedHat:CVE-2017-7774:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7775:3.7:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L) CVSSv3:RedHat:CVE-2017-7775:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7776:4.8:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:RedHat:CVE-2017-7776:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7777:3.7:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N) CVSSv3:RedHat:CVE-2017-7777:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:RedHat:CVE-2017-7778:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-5470:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-5472:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7749:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7750:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7751:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7752:6.3:(AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7754:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N) CVSSv3:SUSE:CVE-2017-7756:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7757:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7758:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:SUSE:CVE-2017-7764:4.2:(AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:L) CVSSv3:SUSE:CVE-2017-7771:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:SUSE:CVE-2017-7772:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7773:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv3:SUSE:CVE-2017-7774:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:SUSE:CVE-2017-7775:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L) CVSSv3:SUSE:CVE-2017-7776:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:SUSE:CVE-2017-7777:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:SUSE:CVE-2017-7778:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) maint:released:oes11-sp2:63824 maint:running:63823:important
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Petr Cerny 2017-06-12 22:06:49 UTC
Planned release date is 2017-06-13

Firefox/Thunderbird 54
Firefox/Thunderbird 52.2 ESR
Seamonkey 2.51 (at some point)

This release also makes Firefox 45 ESR unsupported.
Comment 1 Wolfgang Rosenauer 2017-06-14 07:28:28 UTC
Firefox 52.2 is in final preparation. Thunderbird to follow soon.

Gecko 52.2 requires NSS 3.28.5 (we currently have 3.28.4 in 42.2).
I will provide that update but Java might need to be added again :-(
Comment 2 Johannes Segitz 2017-06-14 10:33:33 UTC
*** Bug 1044242 has been marked as a duplicate of this bug. ***
Comment 3 Johannes Segitz 2017-06-14 10:33:41 UTC
*** Bug 1044241 has been marked as a duplicate of this bug. ***
Comment 4 Johannes Segitz 2017-06-14 10:33:48 UTC
*** Bug 1044240 has been marked as a duplicate of this bug. ***
Comment 5 Johannes Segitz 2017-06-14 10:33:58 UTC
*** Bug 1044239 has been marked as a duplicate of this bug. ***
Comment 6 Johannes Segitz 2017-06-14 11:45:22 UTC
Fixed in Firefox ESR 52.2
- CVE-2017-5472: Use-after-free using destroyed node when regenerating trees
  Reporter: Nils
  Impact: critical
  Description: A use-after-free vulnerability with the frameloader during tree reconstruction while regenerating CSS layout when attempting to use a node in the tree that no longer exists. This results in a potentially exploitable crash.
- CVE-2017-7749: Use-after-free during docshell reloading
  Reporter: Nils
  Impact: high
  Description: A use-after-free vulnerability when using an incorrect URL during the reloading of a docshell. This results in a potentially exploitable crash.
- CVE-2017-7750: Use-after-free with track elements
  Reporter: Nils
  Impact: high
  Description: A use-after-free vulnerability during video control operations when a <track> element holds a reference to an older window if that window has been replaced in the DOM. This results in a potentially exploitable crash.
- CVE-2017-7751: Use-after-free with content viewer listeners
  Reporter: Nils
  Impact: high
  Description: A use-after-free vulnerability with content viewer listeners that results in a potentially exploitable crash.
- CVE-2017-7752: Use-after-free with IME input
  Reporter: Nils
  Impact: moderate
  Description: A use-after-free vulnerability during specific user interactions with the input method editor (IME) in some languages due to how events are handled. This results in a potentially exploitable crash but would require specific user interaction to trigger.
- CVE-2017-7754: Out-of-bounds read in WebGL with ImageInfo object
  Reporter: Tobias Klein
  Impact: high
  Description: An out-of-bounds read in WebGL with a maliciously crafted ImageInfo object during WebGL operations.
- CVE-2017-7756: Use-after-free and use-after-scope logging XHR header errors
  Reporter: Abhishek Arya
  Impact: high
  Description: A use-after-free and use-after-scope vulnerability when logging errors from headers for XML HTTP Requests (XHR). This could result in a potentially exploitable crash.
- CVE-2017-7757: Use-after-free in IndexedDB
  Reporter: F. Alonso (revskills)
  Impact: high
  Description: A use-after-free vulnerability in IndexedDB when one of its objects is destroyed in memory while a method on it is still being executed. This results in a potentially exploitable crash.
- CVE-2017-7778: Vulnerabilities in the Graphite 2 library
  Reporter: Holger Fuhrmannek, Tyson Smith
  Impact: high
  Description: A number of security vulnerabilities in the Graphite 2 library including out-of-bounds reads, buffer overflow reads and writes, and the use of uninitialized memory. These issues were addressed in Graphite 2 version 1.3.10.
  Fixed:
  * CVE-2017-7778: lz4::decompress out of bounds write
  * CVE-2017-7771: out of bounds read [@ graphite2::Pass::readPass]
  * CVE-2017-7772: heap-buffer-overflow write [@ lz4::decompress]
  * CVE-2017-7773: heap-buffer-overflow write [@ lz4::decompress] src/Decompressor
  * CVE-2017-7774: out of bounds read [@ graphite2::Silf::readGraphite]
  * CVE-2017-7775: Assertion 'size() > n' failed
  * CVE-2017-7776: heap-buffer-overflow read [@ graphite2::Silf::getClassGlyph]
  * CVE-2017-7777: use of uninitialized memory [@ graphite2::GlyphCache::Loader::read_glyph]
- CVE-2017-7758: Out-of-bounds read in Opus encoder
  Reporter: Nicolas Trippar of Zimperium zLabs
  Impact: high
  Description: An out-of-bounds read vulnerability with the Opus encoder when the number of channels in an audio stream changes while the encoder is in use.
- CVE-2017-7764: Domain spoofing with combination of Canadian Syllabics and other unicode blocks
  Reporter: Samuel Erb
  Impact: moderate
  Description: Characters from the "Canadian Syllabics" unicode block can be mixed with characters from other unicode blocks in the addressbar instead of being rendered as their raw "punycode" form, allowing for domain name spoofing attacks through character confusion. The current Unicode standard allows characters from "Aspirational Use Scripts" such as Canadian Syllabics to be mixed with Latin characters in the "moderately restrictive" IDN profile. We have changed Firefox behavior to match the upcoming Unicode version 10.0 which removes this category and treats them as "Limited Use Scripts."
- CVE-2017-5470: Memory safety bugs fixed in Firefox 54 and Firefox ESR 52.2
  Reporter: Mozilla developers and community
  Impact: critical
  Description: Mozilla developers and community members Tyson Smith, Mats Palmgren, Philipp, Masayuki Nakano, Christian Holler, Andrew McCreight, Gary Kwong, André Bargull, Carsten Book, Jesse Schwartzentruber, Julian Hector, Marcia Knous, Ronald Crane, and Nils Ohlmeier reported memory safety bugs present in Firefox 53 and Firefox ESR 52.1. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
Comment 7 Bernhard Wiedemann 2017-06-14 12:01:17 UTC
This is an autogenerated message for OBS integration:
This bug (1043960) was mentioned in
https://build.opensuse.org/request/show/503675 Factory / MozillaFirefox
https://build.opensuse.org/request/show/503676 42.2 / MozillaFirefox
Comment 8 Bernhard Wiedemann 2017-06-15 14:01:18 UTC
This is an autogenerated message for OBS integration:
This bug (1043960) was mentioned in
https://build.opensuse.org/request/show/503951 Factory / MozillaThunderbird
https://build.opensuse.org/request/show/503953 42.2 / MozillaThunderbird
Comment 9 Swamp Workflow Management 2017-06-16 13:10:51 UTC
openSUSE-SU-2017:1579-1: An update that fixes 21 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1040105,1042090,1043960
CVE References: CVE-2017-5470,CVE-2017-5472,CVE-2017-7749,CVE-2017-7750,CVE-2017-7751,CVE-2017-7752,CVE-2017-7754,CVE-2017-7756,CVE-2017-7757,CVE-2017-7758,CVE-2017-7763,CVE-2017-7764,CVE-2017-7765,CVE-2017-7771,CVE-2017-7772,CVE-2017-7773,CVE-2017-7774,CVE-2017-7775,CVE-2017-7776,CVE-2017-7777,CVE-2017-7778
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    MozillaThunderbird-52.2-36.1
Comment 11 Swamp Workflow Management 2017-06-19 22:09:50 UTC
openSUSE-SU-2017:1620-1: An update that fixes 26 vulnerabilities is now available.

Category: security (important)
Bug References: 1040105,1043960
CVE References: CVE-2017-5470,CVE-2017-5472,CVE-2017-7749,CVE-2017-7750,CVE-2017-7751,CVE-2017-7752,CVE-2017-7754,CVE-2017-7755,CVE-2017-7756,CVE-2017-7757,CVE-2017-7758,CVE-2017-7760,CVE-2017-7761,CVE-2017-7764,CVE-2017-7765,CVE-2017-7766,CVE-2017-7767,CVE-2017-7768,CVE-2017-7771,CVE-2017-7772,CVE-2017-7773,CVE-2017-7774,CVE-2017-7775,CVE-2017-7776,CVE-2017-7777,CVE-2017-7778
Sources used:
openSUSE Leap 42.2 (src):    MozillaFirefox-52.2-57.12.2, MozillaThunderbird-52.2-41.9.2, java-1_8_0-openjdk-1.8.0.131-10.10.3, mozilla-nss-3.28.5-40.6.1
Comment 12 Swamp Workflow Management 2017-06-26 10:10:54 UTC
SUSE-SU-2017:1669-1: An update that fixes 50 vulnerabilities is now available.

Category: security (important)
Bug References: 1035082,1043960
CVE References: CVE-2016-10196,CVE-2017-5429,CVE-2017-5430,CVE-2017-5432,CVE-2017-5433,CVE-2017-5434,CVE-2017-5435,CVE-2017-5436,CVE-2017-5438,CVE-2017-5439,CVE-2017-5440,CVE-2017-5441,CVE-2017-5442,CVE-2017-5443,CVE-2017-5444,CVE-2017-5445,CVE-2017-5446,CVE-2017-5447,CVE-2017-5448,CVE-2017-5449,CVE-2017-5451,CVE-2017-5454,CVE-2017-5455,CVE-2017-5456,CVE-2017-5459,CVE-2017-5460,CVE-2017-5461,CVE-2017-5462,CVE-2017-5464,CVE-2017-5465,CVE-2017-5466,CVE-2017-5467,CVE-2017-5469,CVE-2017-5470,CVE-2017-5472,CVE-2017-7749,CVE-2017-7750,CVE-2017-7751,CVE-2017-7752,CVE-2017-7754,CVE-2017-7755,CVE-2017-7756,CVE-2017-7757,CVE-2017-7758,CVE-2017-7761,CVE-2017-7763,CVE-2017-7764,CVE-2017-7765,CVE-2017-7768,CVE-2017-7778
Sources used:
SUSE OpenStack Cloud 6 (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    MozillaFirefox-52.2.0esr-108.3
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Server for SAP 12 (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Server 12-SP2 (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Server 12-LTSS (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    MozillaFirefox-52.2.0esr-108.3, MozillaFirefox-branding-SLE-52-31.1
Comment 13 Swamp Workflow Management 2017-08-22 19:09:05 UTC
SUSE-SU-2017:2235-1: An update that fixes 51 vulnerabilities is now available.

Category: security (important)
Bug References: 1025108,1031485,1035082,1043960,930392,930496,935510,939460,945842,953831,954002,955382,962765,964468,966220,968771
CVE References: CVE-2015-5276,CVE-2016-10196,CVE-2017-5429,CVE-2017-5430,CVE-2017-5432,CVE-2017-5433,CVE-2017-5434,CVE-2017-5435,CVE-2017-5436,CVE-2017-5438,CVE-2017-5439,CVE-2017-5440,CVE-2017-5441,CVE-2017-5442,CVE-2017-5443,CVE-2017-5444,CVE-2017-5445,CVE-2017-5446,CVE-2017-5447,CVE-2017-5448,CVE-2017-5449,CVE-2017-5451,CVE-2017-5454,CVE-2017-5455,CVE-2017-5456,CVE-2017-5459,CVE-2017-5460,CVE-2017-5461,CVE-2017-5462,CVE-2017-5464,CVE-2017-5465,CVE-2017-5466,CVE-2017-5467,CVE-2017-5469,CVE-2017-5470,CVE-2017-5472,CVE-2017-7749,CVE-2017-7750,CVE-2017-7751,CVE-2017-7752,CVE-2017-7754,CVE-2017-7755,CVE-2017-7756,CVE-2017-7757,CVE-2017-7758,CVE-2017-7761,CVE-2017-7763,CVE-2017-7764,CVE-2017-7765,CVE-2017-7768,CVE-2017-7778
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    MozillaFirefox-52.2.0esr-72.5.2, mozilla-nss-3.29.5-47.3.2
SUSE Linux Enterprise Server 11-SP4 (src):    MozillaFirefox-52.2.0esr-72.5.2, MozillaFirefox-branding-SLED-52-24.3.44, firefox-gcc5-5.3.1+r233831-7.1, firefox-libffi-gcc5-5.3.1+r233831-7.1, mozilla-nss-3.29.5-47.3.2
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    MozillaFirefox-52.2.0esr-72.5.2, MozillaFirefox-branding-SLED-52-24.3.44, firefox-gcc5-5.3.1+r233831-7.1, firefox-libffi-gcc5-5.3.1+r233831-7.1, mozilla-nss-3.29.5-47.3.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    MozillaFirefox-52.2.0esr-72.5.2, MozillaFirefox-branding-SLED-52-24.3.44, firefox-gcc5-5.3.1+r233831-7.1, firefox-libffi-gcc5-5.3.1+r233831-7.1, mozilla-nss-3.29.5-47.3.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    MozillaFirefox-52.2.0esr-72.5.2, mozilla-nss-3.29.5-47.3.2
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    MozillaFirefox-52.2.0esr-72.5.2, firefox-gcc5-5.3.1+r233831-7.1, firefox-libffi-gcc5-5.3.1+r233831-7.1, mozilla-nss-3.29.5-47.3.2
Comment 14 Marcus Meissner 2017-10-24 13:21:29 UTC
released
Comment 15 Marcus Meissner 2018-02-19 09:27:27 UTC
esr 54 had:


Security vulnerabilities fixed in Firefox 54

Announced
    June 13, 2017
Impact
    critical
Products
    Firefox
Fixed in

        Firefox 54

#CVE-2017-5472: Use-after-free using destroyed node when regenerating trees

Reporter
    Nils
Impact
    critical

Description

A use-after-free vulnerability with the frameloader during tree reconstruction while regenerating CSS layout when attempting to use a node in the tree that no longer exists. This results in a potentially exploitable crash.
References

    Bug 1365602

#CVE-2017-7749: Use-after-free during docshell reloading

Reporter
    Nils
Impact
    high

Description

A use-after-free vulnerability when using an incorrect URL during the reloading of a docshell. This results in a potentially exploitable crash.
References

    Bug 1355039

#CVE-2017-7750: Use-after-free with track elements

Reporter
    Nils
Impact
    high

Description

A use-after-free vulnerability during video control operations when a <track> element holds a reference to an older window if that window has been replaced in the DOM. This results in a potentially exploitable crash.
References

    Bug 1356558

#CVE-2017-7751: Use-after-free with content viewer listeners

Reporter
    Nils
Impact
    high

Description

A use-after-free vulnerability with content viewer listeners that results in a potentially exploitable crash.
References

    Bug 1363396

#CVE-2017-7752: Use-after-free with IME input

Reporter
    Nils
Impact
    moderate

Description

A use-after-free vulnerability during specific user interactions with the input method editor (IME) in some languages due to how events are handled. This results in a potentially exploitable crash but would require specific user interaction to trigger.
References

    Bug 1359547

#CVE-2017-7754: Out-of-bounds read in WebGL with ImageInfo object

Reporter
    Tobias Klein
Impact
    high

Description

An out-of-bounds read in WebGL with a maliciously crafted ImageInfo object during WebGL operations.
References

    Bug 1357090

#CVE-2017-7755: Privilege escalation through Firefox Installer with same directory DLL files

Reporter
    Yuji Tounai of NTT Communications, Eili Masami of Tachibana Lab
Impact
    high

Description

The Firefox installer on Windows can be made to load malicious DLL files stored in the same directory as the installer when it is run. This allows privileged execution if the installer is run with elevated privileges.
Note: This attack only affects Windows operating systems. Other operating systems are unaffected.
References

    Bug 1361326

#CVE-2017-7756: Use-after-free and use-after-scope logging XHR header errors

Reporter
    Abhishek Arya
Impact
    high

Description

A use-after-free and use-after-scope vulnerability when logging errors from headers for XML HTTP Requests (XHR). This could result in a potentially exploitable crash.
References

    Bug 1366595

#CVE-2017-7757: Use-after-free in IndexedDB

Reporter
    F. Alonso (revskills)
Impact
    high

Description

A use-after-free vulnerability in IndexedDB when one of its objects is destroyed in memory while a method on it is still being executed. This results in a potentially exploitable crash.
References

    Bug 1356824

#CVE-2017-7778: Vulnerabilities in the Graphite 2 library

Reporter
    Holger Fuhrmannek, Tyson Smith
Impact
    high

Description

A number of security vulnerabilities in the Graphite 2 library including out-of-bounds reads, buffer overflow reads and writes, and the use of uninitialized memory. These issues were addressed in Graphite 2 version 1.3.10.
References

    Graphite2 lz4::decompress out of bounds write (CVE-2017-7778)
    Graphite2 out of bounds read [@ graphite2::Pass::readPass] (CVE-2017-7771)
    Graphite2 heap-buffer-overflow write [@ lz4::decompress] (CVE-2017-7772)
    Graphite2 heap-buffer-overflow write [@ lz4::decompress] src/Decompressor (CVE-2017-7773)
    Graphite2 out of bounds read [@ graphite2::Silf::readGraphite] (CVE-2017-7774)
    Graphite2 Assertion 'size() > n' failed (CVE-2017-7775)
    Graphite2 heap-buffer-overflow read [@ graphite2::Silf::getClassGlyph] (CVE-2017-7776)
    Graphite2 use of uninitialized memory [@ graphite2::GlyphCache::Loader::read_glyph] (CVE-2017-7777)

#CVE-2017-7758: Out-of-bounds read in Opus encoder

Reporter
    Nicolas Trippar of Zimperium zLabs
Impact
    high

Description

An out-of-bounds read vulnerability with the Opus encoder when the number of channels in an audio stream changes while the encoder is in use.
References

    Bug 1368490

#CVE-2017-7759: Android intent URLs can cause navigation to local file system

Reporter
    Takeshi Terada
Impact
    high

Description

Android intent URLs given to Firefox for Android can be used to navigate from HTTP or HTTPS URLs to local file: URLs, allowing for the reading of local data through a violation of same-origin policy.
Note: This attack only affects Firefox for Android. Other operating systems are not affected.
References

    Bug 1356893

#CVE-2017-7760: File manipulation and privilege escalation via callback parameter in Mozilla Windows Updater and Maintenance Service

Reporter
    Holger Fuhrmannek
Impact
    high

Description

The Mozilla Windows updater modifies some files to be updated by reading the original file and applying changes to it. The location of the original file can be altered by a malicious user by passing a special path to the callback parameter through the Mozilla Maintenance Service, allowing the manipulation of files in the installation directory and privilege escalation by manipulating the Mozilla Maintenance Service, which has privileged access.
Note: This attack requires local system access and only affects Windows. Other operating systems are not affected.
References

    Bug 1348645

#CVE-2017-7761: File deletion and privilege escalation through Mozilla Maintenance Service helper.exe application

Reporter
    Holger Fuhrmannek
Impact
    moderate

Description

The Mozilla Maintenance Service helper.exe application creates a temporary directory writable by non-privileged users. When this is combined with creation of a junction (a form of symbolic link), protected files in the target directory of the junction can be deleted by the Mozilla Maintenance Service, which has privileged access.
Note: This attack requires local system access and only affects Windows. Other operating systems are not affected.
References

    Bug 1215648
    Code execution / Privilege escalation problems with NSIS installers

#CVE-2017-7762: Addressbar spoofing in Reader mode

Reporter
    Jun Kokatsu
Impact
    moderate

Description

When entered directly, Reader Mode did not strip the username and password section of URLs displayed in the addressbar. This can be used for spoofing the domain of the current page.
References

    Bug 1358248

#CVE-2017-7763: Mac fonts render some unicode characters as spaces

Reporter
    Michał Bentkowski
Impact
    moderate

Description

Default fonts on OS X display some Tibetan characters as whitespace. When used in the addressbar as part of an IDN this can be used for domain name spoofing attacks.
Note: This attack only affects OS X operating systems. Other operating systems are unaffected.
References

    Bug 1360309

#CVE-2017-7764: Domain spoofing with combination of Canadian Syllabics and other unicode blocks

Reporter
    Samuel Erb
Impact
    moderate

Description

Characters from the "Canadian Syllabics" unicode block can be mixed with characters from other unicode blocks in the addressbar instead of being rendered as their raw "punycode" form, allowing for domain name spoofing attacks through character confusion. The current Unicode standard allows characters from "Aspirational Use Scripts" such as Canadian Syllabics to be mixed with Latin characters in the "moderately restrictive" IDN profile. We have changed Firefox behavior to match the upcoming Unicode version 10.0 which removes this category and treats them as "Limited Use Scripts."
References

    Bug 1364283
    Proposed Update to Unicode Standard Annex

#CVE-2017-7765: Mark of the Web bypass when saving executable files

Reporter
    Jonathan Birch and Microsoft Vulnerability Research
Impact
    moderate

Description

The "Mark of the Web" was not correctly saved on Windows when files with very long names were downloaded from the Internet. Without the Mark of the Web data, the security warning that Windows displays before running executables downloaded from the Internet is not shown.
Note: This attack only affects Windows operating systems. Other operating systems are unaffected.
References

    Bug 1273265

#CVE-2017-7766: File execution and privilege escalation through updater.ini, Mozilla Windows Updater, and Mozilla Maintenance Service

Reporter
    Seb Patane
Impact
    high

Description

An attack using manipulation of updater.ini contents, used by the Mozilla Windows Updater, and privilege escalation through the Mozilla Maintenance Service to allow for arbitrary file execution and deletion by the Maintenance Service, which has privileged access.
Note: This attack requires local system access and only affects Windows. Other operating systems are not affected.
References

    Bug 1342742

#CVE-2017-7767: Privilege escalation and arbitrary file overwrites through Mozilla Windows Updater and Mozilla Maintenance Service

Reporter
    Seb Patane
Impact
    moderate

Description

The Mozilla Maintenance Service can be invoked by an unprivileged user to overwrite arbitrary files with junk data using the Mozilla Windows Updater, which runs with the Maintenance Service's privileged access.
Note: This attack requires local system access and only affects Windows. Other operating systems are not affected.
References

    Bug 1336964

#CVE-2017-7768: 32 byte arbitrary file read through Mozilla Maintenance Service

Reporter
    Seb Patane
Impact
    moderate

Description

The Mozilla Maintenance Service can be invoked by an unprivileged user to read 32 bytes of any arbitrary file on the local system by convincing the service that it is reading a status file provided by the Mozilla Windows Updater. The Mozilla Maintenance Service executes with privileged access, bypassing system protections against unprivileged users.
Note: This attack requires local system access and only affects Windows. Other operating systems are not affected.
References

    Bug 1336979

#CVE-2017-7770: Addressbar spoofing with JavaScript events and fullscreen mode

Reporter
    Jordi Chancel
Impact
    moderate

Description

A mechanism where when a new tab is loaded through JavaScript events, if fullscreen mode is then entered, the addressbar will not be rendered. This would allow a malicious site to displayed a spoofed addressbar, showing the location of an arbitrary website instead of the one loaded.
Note: this issue only affects Firefox for Android. Desktop Firefox is unaffected.
References

    Bug 1317242

#CVE-2017-5471: Memory safety bugs fixed in Firefox 54

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Mats Palmgren, Philipp, Byron Campen, Christian Holler, Gary Kwong, Benjamin Bouvier, Bob Clary, Jon Coppeard, and Michael Layzell reported memory safety bugs present in Firefox 53. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 54

#CVE-2017-5470: Memory safety bugs fixed in Firefox 54 and Firefox ESR 52.2

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Tyson Smith, Mats Palmgren, Philipp, Masayuki Nakano, Christian Holler, Andrew McCreight, Gary Kwong, André Bargull, Carsten Book, Jesse Schwartzentruber, Julian Hector, Marcia Knous, Ronald Crane, and Nils Ohlmeier reported memory safety bugs present in Firefox 53 and Firefox ESR 52.1. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 54 and Firefox ESR 52.2